@echo off
if %1$ == $ echo **************************************************************
if %1$ == $ echo . Usage : nfs40 NW_drive
if %1$ == $ echo .
if %1$ == $ echo . Example : nfs40 f:
if %1$ == $ echo .   
if %1$ == $ echo . where f: = Network drive mapped to SYS: 
if %1$ == $ echo **************************************************************
if %1$ == $ goto exit


echo .*************************************************************************
echo .                          I M P O R T A N T
echo .
echo . This patch is for updating NWNFS 1.2b product to run on NetWare 4.0 ONLY!!!
echo . If you are want to run NWNFS 1.2b on NetWare 3.1x, please use nfs311.bat
echo .
echo .          You will need 2 MB of disk space to apply this patch
echo .*************************************************************************
echo .
yesno "    Do you want to continue with the patch? [y/n] "
if errorlevel 1 goto exit

echo .
echo . Copying files to local directory 
echo .
copy %1\system\pkernel.nlm  > nul
copy %1\system\nfsserv.nlm  nfsserv.old > nul
copy %1\system\xconsole.nlm xconsole.old > nul
copy %1\system\plpd.nlm plpd.old > nul
copy %1\system\ftpserv.nlm ftpserv.old > nul
copy %1\system\nfs.nam > nul

unpackr nfsserv.old  nfsserv.nlm > nul
if errorlevel 1 copy nfsserv.old  nfsserv.nlm > nul
unpackr xconsole.old xconsole.nlm > nul
if errorlevel 1 copy xconsole.old xconsole.nlm > nul
unpackr plpd.old plpd.nlm > nul
if errorlevel 1 copy plpd.old plpd.nlm > nul
unpackr ftpserv.old ftpserv.nlm > nul
if errorlevel 1 copy ftpserv.old ftpserv.nlm > nul


echo .
echo . Updating Files
echo .

patch ptf-f153

copy nfs40.nam nfs.nam

yesno "    Do you want to continue with the patch? [y/n] "
if errorlevel 1 goto exit

echo .
echo . Copying files back to server : phase 1
echo .
flag %1\system\pkernel.nlm rw > nul
flag %1\system\nfsserv.nlm rw > nul
flag %1\system\plpd.nlm rw > nul
flag %1\system\ftpserv.nlm rw > nul
flag %1\system\xconsole.nlm rw > nul
flag %1\system\nfs.nam rw > nul

echo .
echo . Copying files back to server : phase 2
echo .
copy pkernel.nlm %1\system\pkernel.nlm > nul
copy nfsserv.nlm %1\system\nfsserv.nlm > nul
copy plpd.nlm %1\system\plpd.nlm > nul
copy ftpserv.nlm %1\system\ftpserv.nlm > nul
copy xconsole.nlm %1\system\xconsole.nlm > nul
copy nfs.nam %1\system\nfs.nam > nul
rem
copy plpddef.exe %1\public\plpddef.exe > nul
copy printdef.hlp %1\public\printdef.hlp > nul


echo .
echo . Copying files back to server : phase 3
echo .
flag %1\system\pkernel.nlm rosh > nul
flag %1\system\nfsserv.nlm rosh > nul
flag %1\system\plpd.nlm rosh > nul
flag %1\system\ftpserv.nlm rosh > nul
flag %1\system\xconsole.nlm rosh > nul
flag %1\system\nfs.nam rosh > nul
rem
flag %1\public\plpddef.exe rosh > nul
flag %1\public\printdef.hlp rosh > nul


echo .
echo . Deleting temporary files
echo .
del pkernel.nlm 
del nfsserv.nlm 
del plpd.nlm 
del xconsole.nlm 
del *.old 


echo . 
echo . NOTE !
echo . ***********************************************************************
echo . Now Update the NFS NAME SPACE on server
echo . 
echo . Please make sure that everyone has logged out. 
echo . "down" and "exit" the server and copy the file NFS.NAM to 
echo . c:\server.40, your boot directory.
echo . ***********************************************************************
echo .



:exit
exit
